version: "2.1"
services:
  transmission:
    image: lscr.io/linuxserver/transmission:latest
    container_name: transmission
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Asia/Shanghai
      - TRANSMISSION_WEB_HOME= #optional
      - USER=shuaibility #optional
      - PASS=o8pxOkpgyLAsxn2mW0wOpKTaQTReTj #optional
      - WHITELIST= #optional
      - PEERPORT= #optional
      - HOST_WHITELIST= #optional
    volumes:
      - /opt/docker-data/transmission/data:/config
      - /opt/docker-data/transmission/downloads:/downloads
      - /opt/docker-data/transmission/watch/folder:/watch
    ports:
      - 19091:9091
      - 51413:51413
      - 51413:51413/udp
    restart: unless-stopped